import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { LuInfo, LuX } from 'react-icons/lu';
var Alert = function (_a) {
    var type = _a.type, message = _a.message, duration = _a.duration, onClose = _a.onClose;
    var _b = React.useState(true), isVisible = _b[0], setIsVisible = _b[1];
    React.useEffect(function () {
        var timeoutId;
        if (duration && isVisible) {
            timeoutId = setTimeout(function () {
                setIsVisible(false);
            }, duration);
        }
        return function () {
            if (timeoutId) {
                clearTimeout(timeoutId);
            }
        };
    }, [duration, isVisible]);
    if (!isVisible)
        return null;
    return (_jsxs("div", { className: "s-alert s-alert-".concat(type), children: [_jsxs("div", { className: "s-alert-content", children: [_jsx(LuInfo, { style: { marginRight: '10px' }, className: "s-alert-icon s-alert-icon-".concat(type), fontSize: 30 }), _jsx("span", { style: { flex: 1 }, children: message })] }), onClose && _jsx(LuX, { className: "s-alert-close-icon", fontSize: 20, onClick: onClose, style: { cursor: 'pointer' } })] }));
};
export default Alert;
